Kerbal Space Program - Bug #15410
Drill-o-Matic drills missing deploy/retract actions

06/01/2017 03:15 AM - jonatkins
Severity: Normal % Done: 100%
Assignee: Roy

Category: Controls and Ul

Target version: 1.3.0

Version: 1.3.0 Language: English (US)
Description

When assigning action groups, the two Drill-o-Matic mining drills are missing the 'deploy' and 'retract' actions.
Once in flight, they can be deployed/rectacted from the part menu, but for craft with multiple drills this is rather annoying.

In previous versions these actions were there and worked as expected.

History

#1 - 06/03/2017 11:03 AM - Marschig

jonatkins wrote:
When assigning action groups, the two Drill-o-Matic mining drills are missing the 'deploy' and 'retract' actions.
Once in flight, they can be deployed/rectacted from the part menu, but for craft with multiple drills this is rather annoying.

In previous versions these actions were there and worked as expected.

Drill-O-Matic Junior drill has the same problem.

#2 - 06/03/2017 11:06 AM - Marschig

It can be fixed by removing "displayActions = false" from config files.

#3 - 06/05/2017 10:49 PM - Roy

- Assignee set to Roy

#4 - 06/06/2017 06:54 PM - Roy
- Status changed from New to Ready to Test
- Target version set to 1.3.0

- % Done changed from 0 to 80

It was indeed the "displayActions = false" parameter in the drills cfg.
Previous versions of the game didnt have this parameter specified, which is true by default.

| removed it from both drills and should get it fixed, thanks for pointing it out!
#5 - 06/12/2017 03:25 AM - jclovis3

In addition to the part config, version 1.3 saves introduced another problem.
In PART name = RadialDrill

.MODULE name = ModuleAnimationGroup

.ACTION

.ToggleModuleAction

...there exists a value for actionGroup and a value for active which is set to false. Prior to 1.3, the active property was not included in the saves, and
continues to interfere with older ships created before 1.3. Removing this line restores functionality to these actions.
#6 - 04/06/2018 09:23 AM - jclovis3

As of the 1.4.0 release, and possibly 1.3.1, the original problem reported in this bug was fixed. | can't say for certain about older save game files being
updated accordingly (with regard to the "actionGroup" values) as | have restarted my game with 1.4.0 but | think it's safe to say this bug can be closed
out. Though | could move the status to "Resolved", I'm not one of the developers working on the project and don't feel it would be my place to do so,

but | can make that recommendation.

#7 - 04/13/2019 10:29 AM - Anth12
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

jclovis3 reported this as resolved so | am setting it so

#8 - 04/15/2019 06:30 PM - chris.fulton

- Status changed from Resolved to Closed
